curl --request GET \
--url https://api.aisa.one/apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"run_id": "trun_9907962f83aa4d9d98fd7f4bf745d654",
"interaction_id": "trun_9907962f83aa4d9d98fd7f4bf745d654",
"status": "running",
"is_active": true,
"processor": "core",
"metadata": {
"my_key": "my_value"
},
"created_at": "2025-04-23T20:21:48.037943Z",
"modified_at": "2025-04-23T20:21:48.037943Z"
}Retrieve Task Group Run
Retrieves run status by run_id.This endpiont is equivalent to fetching run status directly using theretrieve() method or the tasks/runs GET endpoint.The run result is available from the /result endpoint.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Status of a task run.
ID of the task run.
"trun_e0083b6aac0544eb8686e8d2a76533d2"
Identifier for this interaction. Pass this value as previous_interaction_id to reuse context for a future request.
"trun_e0083b6aac0544eb8686e8d2a76533d2"
Status of the run.
queued, action_required, running, completed, failed, cancelling, cancelled "queued"
"action_required"
"running"
"completed"
"failed"
"cancelling"
"cancelled"
Whether the run is currently active, i.e. status is one of {'cancelling', 'queued', 'running'}.
Processor used for the run.
"base"
Timestamp of the creation of the task, as an RFC 3339 string.
"2025-04-24T18:56:22.513132Z"
Timestamp of the last modification to the task, as an RFC 3339 string.
"2025-04-24T18:56:22.513132Z"
Warnings for the run, if any.
Show child attributes
Show child attributes
[]
Error for the run, present only if status is 'failed'.
Show child attributes
Show child attributes
User-provided metadata stored with the run.
Show child attributes
Show child attributes
{}
ID of the taskgroup to which the run belongs.